/* RAS */



/* title */
/*#region Colors*/
.red{ color : #eb232a }
.blue{ color : #5db2ff }


/*#region Nestable List*/
.dd {
    position: relative;
    display: block;
    margin: 0;
    padding: 0;
    max-width: 100%;
    list-style: none;
    line-height: 20px;
  }
  .dd.shadowed .dd-handle,
  .dd.shadowed .dd2-content {
    -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
  }
  .dd.bordered .dd-handle,
  .dd.bordered .dd2-content {
    border: 1px solid #cfcfcf;
  }
  .dd.darker .dd-handle,
  .dd.darker .dd2-content {
    background-color: #eeeeee;
  }
  .dd.darker .dd2-handle,
  .dd.darker .dd-dragel > li > .dd2-handle {
    background-color: #e5e5e5;
  }
  .dd-list {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
  }

  .dd-list > li > .dd-handle[class*="bg-"],
  .dd-list > li > .dd2-content[class*="bg-"] {
    color: #FFF;
  }
  .dd-list .dd-list {
    padding-left: 30px;
  }
  .dd-collapsed .dd-list {
    display: none;
  }
  .dd-item,
  .dd-empty,
  .dd-placeholder {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    min-height: 20px;
    line-height: 20px;
  }
  .dd-handle,
  .dd2-content {
    display: block;
    min-height: 38px;
    margin: 5px 0;
    padding: 8px 12px;
    background: #f5f5f5;
    color: #737373;
    font-size: 13px;
    text-decoration: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }
  .dd-handle:hover,
  .dd2-content:hover,
  .dd-handle:hover,
  .dd2-content:hover {
    color: #262626;
    background: #eeeeee;
  }
  .dd-handle[class*="btn-"],
  .dd2-content[class*="btn-"] {
    color: #FFF;
    border: 0;
    padding: 9px 12px;
  }
  .dd-handle[class*="btn-"]:hover,
  .dd2-content[class*="btn-"]:hover {
    opacity: .85;
    color: #FFF;
  }
  .dd2-handle + .dd2-content,
  .dd2-handle + .dd2-content[class*="btn-"] {
    padding-left: 44px;
  }
  .dd-handle[class*="btn-"]:hover,
  .dd2-content[class*="btn-"] .dd2-handle[class*="btn-"]:hover + .dd2-content[class*="btn-"] {
    color: #FFF;
  }
  .dd-item > button:hover ~ .dd-handle[class*="btn-"],
  .dd-item > button:hover ~ .dd2-content[class*="btn-"] {
    opacity: .85;
    color: #FFF;
  }
  .dd2-handle:hover ~ .dd2-content {
    color: #262626;
    background: #f5f5f5;
  }
  .dd2-item.dd-item > button {
    margin-left: 38px;
  }
  .dd-item > button {
    display: block;
    position: relative;
    z-index: 1;
    cursor: pointer;
    float: left;
    width: 25px;
    height: 20px;
    margin: 5px 1px 5px 5px;
    padding: 0;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    border: 0;
    background: transparent;
    font-size: 12px;
    line-height: 1;
    text-align: center;
    font-weight: bold;
    top: 4px;
    left: 1px;
    color: #737373;
  }
  .dd-item > button:before {
    font-family: FontAwesome;
    content: '\f067';
    display: block;
    position: absolute;
    width: 100%;
    text-align: center;
    text-indent: 0;
    font-weight: normal;
    font-size: 14px;
  }
  .dd-item > button[data-action="collapse"]:before {
    content: '\f068';
  }
  .dd-item > button:hover {
    color: #737373;
  }
  .dd-item .dd-colored > button,
  .dd-item.dd-colored > button:hover {
    color: #f5f5f5;
  }
  .dd-placeholder,
  .dd-empty {
    margin: 5px 0;
    padding: 0;
    min-height: 30px;
    background: #f5f5f5;
    border: 1px dashed #d0d0d0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }
  .dd-empty {
    border-color: #AAA;
    border-style: solid;
    background-color: #e5e5e5;
  }
  .dd-dragel {
    position: absolute;
    pointer-events: none;
    z-index: 999;
    zoom: 1;
    filter: alpha(opacity=80);
    -webkit-opacity: 0.8;
    -moz-opacity: 0.8;
    opacity: 0.8;
  }
  .dd-dragel > li > .dd-handle {
    color: #000000;
    background: #fbfbfb;
    border-left: 2px solid #444444;
    position: relative;
  }
  .dd-dragel > .dd-item > .dd-handle {
    margin-top: 0;
  }


  /*#region Bordered List Item*/


  .dd-list > li[class*="bordered-"] {
    border-width: 0;
    padding: 0;
  }
  .dd-list > li[class*="bordered-"] > .dd-handle {
    border-left: 2px solid;
    border-left-color: inherit;
  }
  .dd-list > li.bordered-blue > .dd-handle {
    border-left-color: #5db2ff;
  }
  .dd-list > li.bordered-primary > .dd-handle {
    border-left-color: #4374e0;
  }
  .dd-list > li.bordered-danger > .dd-handle {
    border-left: 3px solid #d73d32 !important;
    border-left-color: #d73d32;
  }
  .dd-list > li.bordered-warning > .dd-handle {
    border-left-color: #f4b400;
  }
  .dd-list > li.bordered-success > .dd-handle {
    border-left-color: #53a93f;
  }
  .dd-list > li.bordered-silver > .dd-handle {
    border-left-color: #777777;
  }
  .dd-list > li.bordered-inverse > .dd-handle {
    border-left-color: #444444;
  }
  .dd-list > li.bordered-blueberry > .dd-handle {
    border-left-color: #6f85bf;
  }
  .dd-list > li.bordered-palegreen > .dd-handle {
    border-left-color: #a0d468;
  }
  .dd-list > li.bordered-orange > .dd-handle {
    border-left-color: #fb6e52;
  }
  .dd-list > li.bordered-darkorange > .dd-handle {
    border-left-color: #ed4e2a;
  }
  .dd-list > li.bordered-magenta > .dd-handle {
    border-left-color: #bc5679;
  }
  .dd-list > li.bordered-purple > .dd-handle {
    border-left-color: #7e3794;
  }
  .dd-list > li.bordered-maroon > .dd-handle {
    border-left-color: #981b48;
  }
  /*#endregion Bordered List Item*/
  .dd-list > li > .dd-handle .sticker {
    position: absolute;
    right: 0;
    top: 0;
  }
  .dd2-handle,
  .dd-dragel > li > .dd2-handle {
    left: 0;
    top: 0;
    width: 38px;
    margin: 0;
    border-width: 1px 1px 0 0;
    text-align: center;
    padding: 0 !important;
    line-height: 38px;
    height: 38px;
    background: #ffffff;
    cursor: pointer;
    overflow: hidden;
    position: absolute;
    z-index: 1;
  }
  .dd2-handle .normal-icon,
  .dd-dragel > li > .dd2-handle .normal-icon,
  .dd2-handle .drag-icon,
  .dd-dragel > li > .dd2-handle .drag-icon {
    font-size: 16px;
  }
  .dd2-handle:hover,
  .dd-dragel > li > .dd2-handle {
    background: #f3f3f3;
  }
  .dd-item > .dd2-handle .drag-icon {
    display: none;
  }
  .dd-dragel > .dd-item > .dd2-handle .drag-icon {
    display: inline;
  }
  .dd-dragel > .dd-item > .dd2-handle .normal-icon {
    display: none;
  }
  /*#endregion Nestable List*/



.ras .row-item{
  background: #c8c8c885 !important;
  color: #262626 !important;
}

.ras .row-item.black-bg{
  background: #000000 !important;
  color: #ffffff !important;
  
}


.ras .txt-hr-bol-red{
  font-weight: bolder;
  text-decoration: underline;
  color: #1c7d0c;
}
  
.ras .txt-bol{
  font-weight: 900;
  color: #262626;
}

.ras .icon-load{
  position: absolute; 
  /* position: inherit; */
  top: 0.4em;
}

.ras .btn-lnk-ras{
  width:14em;
  margin-right:.25em;
  background-color: #000000;
  border: 1px solid #000000;
  font-size: 13px;
}

.ras .btn-lnk-issue{
  width:14em;
  margin-right:.25em;
  background-color: #eb232a;
  border: 1px solid #eb232a;
  font-size: 13px;
}
.ras .p-button.p-button-text-only .p-button-text {
  padding: 0em 0em;
}

.ras .width-item {
  width: 30em;
}
.ras .clear {
  clear: both;
}


.ras #overlay_InstallRAS.width-item {
  width: 13em;
}
/* ----------- iPhone 4 and 4S ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2) {
 
    .ras .icon-load {
      position: unset;
    }

    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {
  

}

/* Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) {

}

/* ----------- iPhone 5, 5S, 5C and 5SE ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2) {
    .ras .icon-load {
      position: unset;
    }

    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {
 
}

/* Landscape */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) {

}

/* ----------- iPhone 6, 6S, 7 and 8 ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2) { 
    .ras .icon-load {
      position: unset;
    }

    
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) { 
 
}

/* Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape) { 

}

/* ----------- iPhone 6+, 7+ and 8+ ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3) { 
    .ras .icon-load {
      position: unset;
    }

    
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: portrait) { 
  
}

/* Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape) { 

}

/* ----------- iPhone X ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3) { 
    
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: portrait) { 
   
}

/* Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 812px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape) { 
    

}

/* ----------- Galaxy S3 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) {
    .ras .icon-load {
      position: unset;
    }

    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) 
  and (orientation: portrait) {
   

}

/* Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 2) 
  and (orientation: landscape) {

}

/* ----------- Galaxy S4, S5 and Note 3 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {
   
    .ras .icon-load {
      position: unset;
    }

    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {


}

/* Landscape */
@media screen 
  and (device-width: 320px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Galaxy S6 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) {
    
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: portrait) {


}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: landscape) {
    
}

/* ----------- Pixel 2 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 250px) 
  and (device-height: 580px) 
  and (-webkit-device-pixel-ratio: 4) {
   
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 250px) 
  and (device-height: 580px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: portrait) {
    
}

/* Landscape */
@media screen 
  and (device-width: 250px) 
  and (device-height: 580px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: landscape) {
    
}


/* ----------- Google Pixel ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {

    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Google Pixel XL ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) {
  
    .ras .width-item {
      width: auto;
    }
}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 4) 
  and (orientation: landscape) {

}

/* ----------- HTC One ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) {
   
    .ras .width-item {
      width: auto;
    }

}

/* Portrait */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: portrait) {
    

}

/* Landscape */
@media screen 
  and (device-width: 360px) 
  and (device-height: 640px) 
  and (-webkit-device-pixel-ratio: 3) 
  and (orientation: landscape) {

}

/* ----------- Windows Phone ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px) {
   
    .ras .width-item {
      width: auto;
    }

}

/* Portrait */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px)  
  and (orientation: portrait) {
   
}

/* Landscape */
@media screen 
  and (device-width: 480px) 
  and (device-height: 800px) 
  and (orientation: landscape) {

}

/* ----------- iPad 1, 2, Mini and Air ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 1) {


}

/* Portrait */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 1) {
    
}



/* Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 1) {
    
}

/* ----------- iPad 3, 4 and Pro 9.7" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {
    
}

/* Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 10.5" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 1112px)
  and (-webkit-min-device-pixel-ratio: 2) {
    
}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 834px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {



}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1112px) 
  and (max-device-width: 1112px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 12.9" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1366px)
  and (-webkit-min-device-pixel-ratio: 2) {
    
}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1366px) 
  and (max-device-width: 1366px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}


/* ----------- Galaxy Tab 2 ----------- */

/* Portrait and Landscape */
@media 
  (min-device-width: 800px) 
  and (max-device-width: 1280px) {
    
}

/* Portrait */
@media 
  (max-device-width: 800px) 
  and (orientation: portrait) { 

}

/* Landscape */
@media 
  (max-device-width: 1280px) 
  and (orientation: landscape) { 

}

/* ----------- Galaxy Tab S ----------- */

/* Portrait and Landscape */
@media 
  (min-device-width: 800px) 
  and (max-device-width: 1280px)
  and (-webkit-min-device-pixel-ratio: 2) {
    
}

/* Portrait */
@media 
  (max-device-width: 800px) 
  and (orientation: portrait)
  and (-webkit-min-device-pixel-ratio: 2) { 

}

/* Landscape */
@media 
  (max-device-width: 1280px) 
  and (orientation: landscape)
  and (-webkit-min-device-pixel-ratio: 2) { 

}

/* ----------- Nexus 7 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) {
    
}

/* Portrait */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 601px) 
  and (device-height: 906px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: landscape) {

}

/* ----------- Nexus 9 ----------- */

/* Portrait and Landscape */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) {
    
}

/* Portrait */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: portrait) {

}

/* Landscape */
@media screen 
  and (device-width: 1536px) 
  and (device-height: 2048px) 
  and (-webkit-min-device-pixel-ratio: 1.331) 
  and (-webkit-max-device-pixel-ratio: 1.332) 
  and (orientation: landscape) {

}

@media screen and (min-width: 1200px){


}

